<template>
  <el-table
    ref="multipleTable"
    :data="list3"
    height="259"
    border
    tooltip-effect="dark"
    style="width: 100%"
    @selection-change="handleSelectionChange">
    <el-table-column
      type="index"
      width="50">
    </el-table-column>
    <el-table-column
      type="selection"
      align="center"
      width="55">
    </el-table-column>
    <el-table-column
      label="箱体编码"
      align="center"
      width="160">
      <template slot-scope="scope">{{ scope.row.sfcCode }}</template>
    </el-table-column>
    <el-table-column
      prop="name"
      label="工位"
      align="center"
      width="120">
      <template slot-scope="scope">{{ scope.row.locationCode }}</template>
    </el-table-column>
    <el-table-column
      prop="address"
      align="center"
      label="参数名"
      show-overflow-tooltip>
      <template slot-scope="scope">{{ scope.row.paramName }}</template>
    </el-table-column>
    <el-table-column
      prop="address"
      align="center"
      label="采集结果"
      show-overflow-tooltip>
      <template slot-scope="scope">{{ scope.row.paramValue }}</template>
    </el-table-column>
    <el-table-column
      prop="address"
      label="单位"
      align="center"
      show-overflow-tooltip>
      <template slot-scope="scope">{{ scope.row.unit }}</template>
    </el-table-column>
    <el-table-column
      prop="address"
      align="center"
      label="采集时间"
      show-overflow-tooltip>
      <template slot-scope="scope">{{ scope.row.collectionTime }}</template>
    </el-table-column>
  </el-table>
</template>

<script>
export default {
  name: "report3",
  props:['list3'],
  data() {
    return {
      total: '',
      queryParams: {
        pageNum: 5,
        pageSize: 5
      },
      tableData: [{
        date: '2016-05-03',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }, {
        date: '2016-05-02',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }, {
        date: '2016-05-04',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }, {
        date: '2016-05-01',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }, {
        date: '2016-05-08',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }, {
        date: '2016-05-06',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }, {
        date: '2016-05-07',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }],
      multipleSelection: []
    }
  },
  methods: {
    toggleSelection(rows) {
      if (rows) {
        rows.forEach(row => {
          this.$refs.multipleTable.toggleRowSelection(row);
        });
      } else {
        this.$refs.multipleTable.clearSelection();
      }
    },
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },
    getList(){

    }
  }
}
</script>

<style scoped>

</style>
